<div class="flex flex-row justify-start gap-x-5">
  <mat-card
    class="mat-elevation-z4 ml-5 border-2"
    [ngClass]="{
      'green ': rating == 'A',
      'orange ': rating == 'B',
      'red ': rating == 'C'
    }"
  >
    <mat-card-header>
      <mat-card-title>Plan de réaction</mat-card-title>
    </mat-card-header>
    <mat-card-content>
      <mat-divider inset="true"></mat-divider>

      <div class="flex-grow flex-col gap-3">
        <div class="flex flex-row gap-10 p-4">
          <div class="flex flex-col justify-between">
            <div class="flex">
              <mat-form-field>
                <mat-label>Résulat</mat-label>
                <input matInput readonly value="{{ totalTotal }}%" />
              </mat-form-field>
            </div>
            <div class="flex">
              <mat-form-field>
                <mat-label>Rang</mat-label>
                <input matInput readonly value="{{ rating }}" />
              </mat-form-field>
            </div>
            <div class="flex">
              <mat-form-field>
                <mat-label>Objectif annuel</mat-label>
                <input matInput readonly value="{{ objectifAnnuel }}%" />
              </mat-form-field>
            </div>
          </div>
          <div class="flex flex-row">
            <div class="flex flex-col gap-y-3">
              <div
                class="flex flex-row p-3"
                [ngClass]="{ 'green border rounded': rating == 'A' }"
              >
                <div class="w-1/5">Rating A</div>
                <div class="w-2/3">Pas d'action</div>
              </div>
              <div
                class="flex flex-row p-3"
                [ngClass]="{
                  'orange border rounded': rating == 'B'
                }"
              >
                <div class="w-1/5">Rating B</div>
                <div class="w-2/3">
                  <div>
                    <div>Reprendre 10 vls</div>
                    <br />
                    <div>Pas de défauts: Pas d'action</div>
                  </div>
                </div>
              </div>
              <div
                class="flex flex-row p-3"
                [ngClass]="{ 'red border rounded': rating == 'C' }"
              >
                <div class="w-1/5">Rating C</div>
                <div class="w-2/3">
                  <div>
                    Défaut systématique ou Type A -> contrôle remontant +
                    résoudre problème + bloquer la production
                  </div>
                  <br />
                  <div>
                    Défauts différents -> bloquer container audité + 2 avants +
                    2 après
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </mat-card-content>
  </mat-card>

  <mat-card class="mat-elevation-z4">
    <mat-card-header>
      <mat-card-title>Actions et commentaires</mat-card-title>
    </mat-card-header>
    <mat-card-content class="h-full">
      <mat-divider inset="true"></mat-divider>
      <form [formGroup]="formGroup" class="h-full">
        <div class="flex flex-col justify-evenly h-full">
          <div>
            <mat-form-field class="" appearance="outline">
              <mat-label>Actions</mat-label>

              <textarea
                matInput
                cdkTextareaAutosize
                #autosize="cdkTextareaAutosize"
                cdkAutosizeMinRows="4"
                cdkAutosizeMaxRows="5"
                formControlName="actions"
                required
              ></textarea>
            </mat-form-field>
          </div>
          <div>
            <mat-form-field class="" appearance="outline">
              <mat-label>Commentaires</mat-label>

              <textarea
                matInput
                cdkTextareaAutosize
                #autosize="cdkTextareaAutosize"
                cdkAutosizeMinRows="4"
                cdkAutosizeMaxRows="5"
                formControlName="commentaires"
              ></textarea>
            </mat-form-field>
          </div>
        </div>
      </form>
    </mat-card-content>
  </mat-card>

  <button
    mat-raised-button
    color="primary"
    class="self-end"
    style="margin-left: auto; margin-right: 2rem"
    (click)="enregistrerClick()"
  >
    Enregistrer
  </button>
</div>
